import { Elysia } from "elysia";
import { html } from "@elysiajs/html";
import { Index } from "./frontend/index";

const app = new Elysia()
  .use(html())
  .onRequest(({ request }) => {
    console.log(`Request ${request.method} ${request.url}`);
  })
  .get("/", () => Index())
  .get('/htmx.min.js', () => Bun.file("./src/frontend/htmx.min.js"))
  .get("/content/post", () => "I'm from the server")
  .listen(3000);

console.log(
  `🦊 Elysia is running at ${app.server?.hostname}:${app.server?.port}`
);
